<template>
  <div class="user-info-wrap p-3 mb-4" style="border-radius: 32px; overfow: hidden; background: rgba(183,19,19,1);">
    <div class="row w-100 m-0">
      <div class="col col-5">
        <img v-if="topRankData && topRankData.avatar" :src="topRankData.avatar" class="w-100" />
        <img v-else src="@/assets/img/avatar@2x.png" class="w-100" style="max-width: 100px" />
      </div>
      <div class="col col-7 ps-0">
        <p class="text-white fw-bold mb-2" style="font-size: 20px;">1st place</p>
        <p class="text-white" style="font-size: 18px;">{{ topRankData && topRankData.customer_name }}</p>
      </div>
    </div>
    <div class="row w-100 m-0">
      <div class="col">
        <p class="text-white fw-bold" style="font-size: 20px;"><span> Your rank:</span><span class="fw-bolder" style="font-size: 24px; margin-left: 1rem">{{ myRank || 0 }}</span>/ {{ topRankData && topRankData.total_player }}</p>
        <p class="text-white" style="font-size: 20px;">
          
        </p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    myRank: Number,
    topRankData: Object 
  }
};
</script>

<style scoped></style>
